"""Calculate running time
"""
import time

class Timer(object):
    """Algorithm runtime calculation class
    """
    def __init__(self):
        self.start = 0
        self.end = 0
        self.times = 0
        self.total_time = 0

    def tic(self):
        self.start = time.time()

    def toc(self):
        self.end = time.time()
        self.total_time += (self.end - self.start)
        self.times += 1
