from auto_deploy.common.base_compiler import Compiler
import bmnetm
import os

class MxnetCompiler(Compiler):
  def generate_compiling_script(self, compile_info):
    pass

  def compile_model_using_bmcompiler(self, compile_info):
    model_name = compile_info["model_info"]["json"].split("-")[0]
    json_path = os.path.join(self.folder, \
                             compile_info["model_info"]["json"])
    params_path = os.path.join(self.folder, \
                               compile_info["model_info"]["params"])
    context_dir = os.path.join(self.folder, \
                               compile_info['context_dir'])
    input_names = compile_info['input_names']
    input_shapes = compile_info['input_shapes']
    bmnetm.compile(json_path, params_path, context_dir, \
                   self.target, input_shapes, model_name, \
                   input_names=input_names, opt=self.optimize, \
                   dyn=self.dynamic, cmp=self.compare)
    try:
      os.remove(os.path.join(os.getcwd(), 'bm_multi_engine_stas_0.dat'))
    except:
      pass
