from setuptools import setup
from io import open

with open('README.md', encoding='utf-8') as f:
  long_description = f.read()
  
setup(
  name='auto_deploy',
  version='0.0.1',
  
  description='Automatically Deploy deep learning models on sophon cards of BITMAIN.',
  long_description=long_description,
  long_description_content_type='text/markdown',
  
  url='',
  
  author='Sail develop Group, BITMAIN AI',
  author_email='zhenpeng.xiao@bitmain.com',
  
  license='',
  
  keywords='deep learning model deploy asic',
  packages=['auto_deploy',
            'auto_deploy/common/',
            'auto_deploy/compiler',
            'auto_deploy/runner',
            'auto_deploy/external',
            'auto_deploy/splitter'],
  install_requires=[],
)
