#!/bin/bash
BASE_PATH=${HOME}/.sophon/models
echo "generate mtcnn det1 det2 det3 bmodel..."
mkdir ${BASE_PATH}/mtcnn_ir
bmnetc --model ${BASE_PATH}/mtcnn/12net.prototxt --weight ${BASE_PATH}/mtcnn/12net.caffemodel \
    --shapes [1,3,576,324] --dyn true --outdir ${BASE_PATH}/mtcnn_ir/det1_ir
bmnetc --model ${BASE_PATH}/mtcnn/24net.prototxt --weight ${BASE_PATH}/mtcnn/24net.caffemodel \
    --shapes [128,3,24,24] --dyn true --outdir ${BASE_PATH}/mtcnn_ir/det2_ir
bmnetc --model ${BASE_PATH}/mtcnn/48net.prototxt --weight ${BASE_PATH}/mtcnn/48net.caffemodel \
    --shapes [128,3,48,48] --dyn true --outdir ${BASE_PATH}/mtcnn_ir/det3_ir
rm -f ./bm_multi_engine_stas_0.dat
echo "generate bmodel ${BASE_PATH}/mtcnn_ir"
