# configuration file

OUTPUT_PATH=$PWD
pushd $PWD/../../docs
doxygen
popd
# set for pdf documentation file
sed -i -e 's,begin{document},usepackage{CJKutf8}\n\\begin{document}\n\\begin{CJK}{UTF8}{gbsn},' $OUTPUT_PATH/cpp_api_doc/latex/refman.tex
sed -i -e 's,end{document},end{CJK}\n\\end{document},' $OUTPUT_PATH/cpp_api_doc/latex/refman.tex

# generate pdf file
pushd $OUTPUT_PATH/cpp_api_doc/latex
make
popd

# copy pdf file to docs
cp $OUTPUT_PATH/cpp_api_doc/latex/refman.pdf ../../docs/sail.pdf

