#pragma once
#include <iostream>
#include <map>
#include <set>
#include <sstream>
#include <string>
#include <utility>
#include <vector>
#include <algorithm>
#include <spdlog/spdlog.h>

/// Namespace containing all symbols from the sail library.
namespace sail {

const char VERSION[] = "2.0.0";

// Common functions and classes from std that caffe often uses.
using std::string;
using std::vector;
using std::cout;
using std::cerr;
using std::endl;
using std::map;
using std::pair;
using std::make_pair;
using std::set;
using std::min;
using std::max;

}  // namespace sail
