""" The extend base layer

Which include some commom operations
"""
from abc import ABCMeta, abstractmethod
import numpy as np
from ...utils.timer import Timer
from typing import List, Dict
import six

@six.add_metaclass(ABCMeta)
class BaseLayer(object):
    """Contruct a BaseLayer
    """
    def __init__(self):
        self.time = Timer()
    
    @abstractmethod
    def forward(self):
        """extend layer forward
        """
        raise NotImplementedError