""" test algokit general classifier
"""
from __future__ import print_function
import cv2, os, sys
sys.path.append("../")
from algokit.algofactory.generalclassification_factory import GeneralClassifier
from algokit.kitconfig import ChipMode, ClassificationModel
import time

def main():
    # classifier = GeneralClassifier().create(ClassificationModel.GOOGLENET, ChipMode.BM1682)
    # classifier = GeneralClassifier().create(ClassificationModel.RESNET50, ChipMode.BM1682)
    classifier = GeneralClassifier().create(ClassificationModel.VGG16, ChipMode.BM1682)
    image_path1 = './test_img/cls_cat.jpg'
    # image_path2 = './test_img/cls_fishbike.jpg'
    # image_path3 = './test_img/cls_cat.jpg'
    # image_path4 = './test_img/cls_fishbike.jpg'
    # image_path5 = './test_img/cls_cat.jpg'
    # image_path6 = './test_img/cls_fishbike.jpg'
    # image_path7 = './test_img/cls_cat.jpg'
    # image_path8 = './test_img/cls_fishbike.jpg'
    # image_path9 = './test_img/cls_cat.jpg'
    # images = []
    image1 = cv2.imread(image_path1)
    # images.append(image1)
    # image2 = cv2.imread(image_path2)
    # images.append(image2)
    # image3 = cv2.imread(image_path3)
    # images.append(image3)
    # image4 = cv2.imread(image_path4)
    # images.append(image4)
    # image5 = cv2.imread(image_path5)
    # images.append(image5)
    # image6 = cv2.imread(image_path6)
    # images.append(image6)
    # image7 = cv2.imread(image_path7)
    # images.append(image7)
    # image8 = cv2.imread(image_path8)
    # images.append(image8)
    # image9 = cv2.imread(image_path9)
    # images.append(image9)

    t0 = time.time()
    top1, top5 = classifier.predict(image1)
    print ('detect time: {}'.format(time.time() - t0))
    # return top1 / top5
    print ("top1_idx:{} top1_score:{}".format(top1['top1_idx'], top1['top1_score']))
    print ("top5_idx:{} top5_score:{}".format(top5['top5_idx'], top5['top5_score']))

if __name__ == '__main__':
    main()
