This is the document repo of AutoDeploy, which is used for automatically deploying models on Sophon TPU (https://sophon.ai).


## Prerequisites

install **sphinx**:

```shell
pip install sphinx sphinx-autobuild sphinx_rtd_theme rst2pdf
```

install **tensorflow, mxnet**:

```shell
pip install tensorflow==1.13.1 mxnet==1.4.0
```

install **sail_python2**:

```shell
export PYTHONPATH=${PATH_TO_YOUR_SAIL_PYTHON2}
```

## Compilation

```shell
## build html
make html # build document to static html files
python3 -m http.server --directory build/html
# open http://localhost:8000 in browser
 
## build pdf 
make pdf
```

## Testing

TODO

## Deployment

TODO

## Built With

* [Sphinx](http://www.sphinx-doc.org) - Document auto generate tool  
* [Latex](https://www.latex-project.org/) - High-quality typesetting system 

## License

This project is licensed under the MIT License - see the LICENSE file for details

## Acknowledgments
