#!/bin/bash
BASE_PATH=${HOME}/.sophon/models
echo "generate fasterrcnnvgg bmodel..."
mkdir ${BASE_PATH}/fasterrcnn_ir
bmnetc --model ${BASE_PATH}/fasterrcnn_vgg/fasterrcnn_vgg_stage1.prototxt --weight ${BASE_PATH}/fasterrcnn_vgg/fasterrcnn_vgg.caffemodel \
    --shapes [1,3,600,800] --outdir ${BASE_PATH}/fasterrcnn_ir/stage1_ir
bmnetc --model ${BASE_PATH}/fasterrcnn_vgg/fasterrcnn_vgg_stage2.prototxt --weight ${BASE_PATH}/fasterrcnn_vgg/fasterrcnn_vgg.caffemodel \
    -shapes [1,512,38,50],[32,5] --dyn true --outdir ${BASE_PATH}/fasterrcnn_ir/stage2_ir
rm -f ./bm_multi_engine_stas_0.dat
echo "generate bmodel ${BASE_PATH}/fasterrcnn_ir"
