#!/bin/bash
# source bmnnsdk envsetup.sh
# add sail python path
pushd ../python
source setup_python_path.sh
popd
# download from 10.30.34.184/sophon_model/fasterrcnn_vgg.tar.gz unzip to ~/.sophon/models
python3 ./downloader.py fasterrcnn_vgg
# convert to bmodel save in ~/.sophon/models
python3 ./convertbmodel.py fasterrcnn_vgg
# run fasterrcnn
python3 ../samples/python/run_algokit.py \
    --algo_type obj_det \
    --algo_name fasterrcnn \
    --input_path ../tests/data/det_1.jpg
